## WebKitDOMStyleSheet WebKitDOMStyleSheet |

## Functions

gboolean | webkit_dom_style_sheet_get_disabled ()
void | webkit_dom_style_sheet_set_disabled ()
WebKitDOMNode * | webkit_dom_style_sheet_get_owner_node ()
WebKitDOMStyleSheet * | webkit_dom_style_sheet_get_parent_style_sheet ()
gchar * | webkit_dom_style_sheet_get_href ()
gchar * | webkit_dom_style_sheet_get_title ()
WebKitDOMMediaList * | webkit_dom_style_sheet_get_media ()

## Properties

gboolean | disabled | Read / Write
gchar * | href | Read
WebKitDOMMediaList * | media | Read
WebKitDOMNode * | owner-node | Read
WebKitDOMStyleSheet * | parent-style-sheet | Read
gchar * | title | Read
gchar * | type | Read

## Types and Values

| WebKitDOMStyleSheet

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMStyleSheet
                ╰── WebKitDOMCSSStyleSheet

## Description

## Functions

### webkit_dom_style_sheet_get_disabled ()

    gboolean
    webkit_dom_style_sheet_get_disabled (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A gboolean

### webkit_dom_style_sheet_set_disabled ()

    void
    webkit_dom_style_sheet_set_disabled (WebKitDOMStyleSheet *self,
                                         gboolean value);

#### Parameters

self | A WebKitDOMStyleSheet |
value | A gboolean |

### webkit_dom_style_sheet_get_owner_node ()

    WebKitDOMNode *
    webkit_dom_style_sheet_get_owner_node (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_style_sheet_get_parent_style_sheet ()

    WebKitDOMStyleSheet *
    webkit_dom_style_sheet_get_parent_style_sheet
                                   (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A WebKitDOMStyleSheet.

[transfer full]

### webkit_dom_style_sheet_get_href ()

    gchar *
    webkit_dom_style_sheet_get_href (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A gchar

### webkit_dom_style_sheet_get_title ()

    gchar *
    webkit_dom_style_sheet_get_title (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A gchar

### webkit_dom_style_sheet_get_media ()

    WebKitDOMMediaList *
    webkit_dom_style_sheet_get_media (WebKitDOMStyleSheet *self);

#### Parameters

self | A WebKitDOMStyleSheet |

#### Returns

A WebKitDOMMediaList.

[transfer full]

## Types and Values

### WebKitDOMStyleSheet

    typedef struct _WebKitDOMStyleSheet WebKitDOMStyleSheet;

## Property Details

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean StyleSheet:disabled.

Flags: Read / Write

Default value: FALSE

### The `“href”` property

      “href”                     gchar *

read-only gchar* StyleSheet:href.

Flags: Read

Default value: ""

### The `“media”` property

      “media”                    WebKitDOMMediaList *

read-only WebKitDOMMediaList* StyleSheet:media.

Flags: Read

### The `“owner-node”` property

      “owner-node”               WebKitDOMNode *

read-only WebKitDOMNode* StyleSheet:owner-node.

Flags: Read

### The `“parent-style-sheet”` property

      “parent-style-sheet”       WebKitDOMStyleSheet *

read-only WebKitDOMStyleSheet* StyleSheet:parent-style-sheet.

Flags: Read

### The `“title”` property

      “title”                    gchar *

read-only gchar* StyleSheet:title.

Flags: Read

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-only gchar* StyleSheet:type.

Flags: Read

Default value: ""